/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_printf.c                                        :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: cchauvet <cchauvet@student.42angoulem      +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/10/06 22:01:28 by cchauvet          #+#    #+#             */
/*   Updated: 2023/02/21 13:27:31 by cchauvet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "ft_printf.h"

int	ft_printf(const char *format, ...)
{
	va_list	va;
	int		i;

	va_start(va, format);
	i = ft_vdprintf(1, format, va);
	va_end(va);
	return (i);
}

int	ft_dprintf(int fd, const char *format, ...)
{
	va_list	va;
	int		i;

	va_start(va, format);
	i = ft_vdprintf(fd, format, va);
	va_end(va);
	return (i);
}
